<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Core/Scripts/4_world/dayzexpansion_core/entities/manbase/dayzplayerimplement.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d1/d8e/a08928_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">dayzplayerimplement.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d1/d8e/a08928.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * DayZPlayerImplement.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. </span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>modded <span class="keyword">class </span><a class="code hl_class" href="../../da/d86/a04769.html">DayZPlayerImplement</a></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../da/d86/a04769.html#a0007a72062e681885c9eaa1da7fcdf5b">   15</a></span>    ref <a class="code hl_class" href="../../da/def/a04437.html">ExpansionHumanST</a> <a class="code hl_variable" href="../../da/d86/a04769.html#a0007a72062e681885c9eaa1da7fcdf5b">m_ExpansionST</a>;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span> </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../da/d86/a04769.html#a8898746079db0b09583cf31c68cb2def">   17</a></span>    <span class="keyword">protected</span> <span class="keywordtype">bool</span> <a class="code hl_variable" href="../../da/d86/a04769.html#a8898746079db0b09583cf31c68cb2def">m_Expansion_CanBeLooted</a> = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span> </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../da/d86/a04769.html#aed8803fa15460c6d47fcca7a2ea7c23b">   19</a></span>    <span class="keyword">protected</span> autoptr <a class="code hl_class" href="../../d6/d21/a04401.html">ExpansionZoneActor</a> <a class="code hl_variable" href="../../da/d86/a04769.html#aed8803fa15460c6d47fcca7a2ea7c23b">m_Expansion_SafeZoneInstance</a> = <span class="keyword">new</span> ExpansionZoneEntity&lt;DayZPlayerImplement&gt;(<span class="keyword">this</span>);</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span> </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="../../da/d86/a04769.html#ae7bcbdb9c3dee70762b7329158a186c2">   21</a></span>    <span class="keyword">protected</span> <span class="keywordtype">bool</span> <a class="code hl_variable" href="../../da/d86/a04769.html#ae7bcbdb9c3dee70762b7329158a186c2">m_Expansion_IsInSafeZone</a>;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span> </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno"><a class="line" href="../../da/d86/a04769.html#a78ca8e2e6c7ab4b044cfa631542699df">   23</a></span>    ref <a class="code hl_class" href="../../d8/d39/a04449.html">ExpansionNetsyncData</a> <a class="code hl_variable" href="../../da/d86/a04769.html#a78ca8e2e6c7ab4b044cfa631542699df">m_Expansion_NetsyncData</a>;</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span> </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno"><a class="line" href="../../da/d86/a04769.html#a65bcdb243366dfb263362640089f36a7">   25</a></span>    ref map&lt;string, bool&gt; <a class="code hl_variable" href="../../da/d86/a04769.html#a65bcdb243366dfb263362640089f36a7">m_Expansion_DisabledAmmoDamage</a> = <span class="keyword">new</span> map&lt;string, bool&gt;;</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span> </div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno"><a class="line" href="../../da/d86/a04769.html#afc3434515f637a75d3b28bca8c9f91f9">   27</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/d86/a04769.html#afc3434515f637a75d3b28bca8c9f91f9">DayZPlayerImplement</a>()</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    {</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        <a class="code hl_function" href="../../da/d86/a04769.html#a4c4fc8f99dbfb6f88f735e09271033d7">Expansion_Init</a>();</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    }</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span> </div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno"><a class="line" href="../../da/d86/a04769.html#a4c4fc8f99dbfb6f88f735e09271033d7">   32</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/d86/a04769.html#a4c4fc8f99dbfb6f88f735e09271033d7">Expansion_Init</a>()</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    {</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    }</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span> </div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno"><a class="line" href="../../da/d86/a04769.html#a68498ec3595c79b79f2dda7f1fe25cef">   36</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/d86/a04769.html#a68498ec3595c79b79f2dda7f1fe25cef">OnEnterZone</a>(<a class="code hl_enumeration" href="../../d6/dad/a00941.html#a91fff2923c73524aa9ddd1aa0e5c0337">ExpansionZoneType</a> type)</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    {</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../d4/deb/a00710.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.ZONES, <span class="keyword">this</span>, <span class="stringliteral">&quot;OnEnterZone&quot;</span>);</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span> </div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        <span class="keywordflow">if</span> (type == <a class="code hl_enumeration" href="../../d6/dad/a00941.html#a91fff2923c73524aa9ddd1aa0e5c0337">ExpansionZoneType</a>.SAFE)</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        {</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>            <a class="code hl_variable" href="../../da/d86/a04769.html#ae7bcbdb9c3dee70762b7329158a186c2">m_Expansion_IsInSafeZone</a> = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        }</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    }</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span> </div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno"><a class="line" href="../../da/d86/a04769.html#ae367abba0545cf6baa6a24e555a64d26">   48</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/d86/a04769.html#ae367abba0545cf6baa6a24e555a64d26">OnExitZone</a>(<a class="code hl_enumeration" href="../../d6/dad/a00941.html#a91fff2923c73524aa9ddd1aa0e5c0337">ExpansionZoneType</a> type)</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    {</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../d4/deb/a00710.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.ZONES, <span class="keyword">this</span>, <span class="stringliteral">&quot;OnExitZone&quot;</span>);</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span> </div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        <span class="keywordflow">if</span> (type == <a class="code hl_enumeration" href="../../d6/dad/a00941.html#a91fff2923c73524aa9ddd1aa0e5c0337">ExpansionZoneType</a>.SAFE)</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        {</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>            <a class="code hl_variable" href="../../da/d86/a04769.html#ae7bcbdb9c3dee70762b7329158a186c2">m_Expansion_IsInSafeZone</a> = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        }</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>    }</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>    </div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno"><a class="line" href="../../da/d86/a04769.html#a98f48bd5c9000d5eeab37283eefe72b5">   60</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../da/d86/a04769.html#a98f48bd5c9000d5eeab37283eefe72b5">IsInSafeZone</a>()</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>    {</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../da/d86/a04769.html#ae7bcbdb9c3dee70762b7329158a186c2">m_Expansion_IsInSafeZone</a>;</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>    }</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span> </div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno"><a class="line" href="../../da/d86/a04769.html#a491b4b8f864d141d6d2b4549c93b49c4">   65</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/d86/a04769.html#a491b4b8f864d141d6d2b4549c93b49c4">Expansion_SetCanBeLooted</a>(<span class="keywordtype">bool</span> canBeLooted)</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>    {</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>        <a class="code hl_variable" href="../../da/d86/a04769.html#a8898746079db0b09583cf31c68cb2def">m_Expansion_CanBeLooted</a> = canBeLooted;</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>    }</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span> </div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno"><a class="line" href="../../da/d86/a04769.html#a9c4c0fe27a2b9f6189dbbbe269029abf">   70</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../da/d86/a04769.html#a9c4c0fe27a2b9f6189dbbbe269029abf">Expansion_CanBeLooted</a>()</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>    {</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../da/d86/a04769.html#a8898746079db0b09583cf31c68cb2def">m_Expansion_CanBeLooted</a>;</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>    }</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span> </div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno"><a class="line" href="../../da/d86/a04769.html#aa2779a29b53f17a8f350328a7c8ebc82">   75</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/d86/a04769.html#aa2779a29b53f17a8f350328a7c8ebc82">Expansion_SetAllowDamage</a>(<span class="keywordtype">string</span> ammoType, <span class="keywordtype">bool</span> state)</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>    {<span class="comment"></span></div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span><span class="comment">        //! @note State is inverted so we can easily check m_Expansion_DisabledAmmoDamage[ammoType] to see whether it&#39;s disabled</span></div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span><span class="comment"></span>        <a class="code hl_variable" href="../../da/d86/a04769.html#a65bcdb243366dfb263362640089f36a7">m_Expansion_DisabledAmmoDamage</a>[ammoType] = !state;</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>    }</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span> </div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno"><a class="line" href="../../da/d86/a04769.html#ac0b4c57a6169c000158432f4c0bc5ebc">   81</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../da/d86/a04769.html#ac0b4c57a6169c000158432f4c0bc5ebc">EEOnDamageCalculated</a>(TotalDamageResult damageResult, <span class="keywordtype">int</span> damageType, EntityAI source, <span class="keywordtype">int</span> component, <span class="keywordtype">string</span> dmgZone, <span class="keywordtype">string</span> ammo, vector modelPos, <span class="keywordtype">float</span> speedCoef)</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>    {</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>        <span class="keywordflow">if</span> (!super.EEOnDamageCalculated(damageResult, damageType, source, component, dmgZone, ammo, modelPos, speedCoef))</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span> </div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../da/d86/a04769.html#a65bcdb243366dfb263362640089f36a7">m_Expansion_DisabledAmmoDamage</a>[ammo])</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span> </div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>    }</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span> </div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno"><a class="line" href="../../da/d86/a04769.html#a144e8859b0217b96ad5d3185f4233eb1">   92</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/d86/a04769.html#a144e8859b0217b96ad5d3185f4233eb1">EEKilled</a>(Object killer)</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>    {</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>        super.EEKilled(killer);</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span> </div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>        <span class="keywordflow">if</span> (!<a class="code hl_variable" href="../../da/d86/a04769.html#a8898746079db0b09583cf31c68cb2def">m_Expansion_CanBeLooted</a>)<span class="comment"></span></div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span><span class="comment">            //! 10134 = 2 | 4 | 16 | 128 | 256 | 512 | 1024 | 8192</span></div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span><span class="comment"></span>            <a class="code hl_class" href="../../df/d88/a04241.html">ExpansionStatic</a>.<a class="code hl_function" href="../../df/d88/a04241.html#af24dbf30715ebb3392e44656e9273364">LockInventoryRecursive</a>(<span class="keyword">this</span>, 10134);</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>    }</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span> </div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno"><a class="line" href="../../da/d86/a04769.html#ae5447f6521bc9e8ccf58a39c1c63d422">  101</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../da/d86/a04769.html#ae5447f6521bc9e8ccf58a39c1c63d422">CanBeSkinned</a>()</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>    {</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>        <span class="keywordflow">if</span> (!<a class="code hl_variable" href="../../da/d86/a04769.html#a8898746079db0b09583cf31c68cb2def">m_Expansion_CanBeLooted</a>)</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span> </div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>        <span class="keywordflow">return</span> super.CanBeSkinned();</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>    }</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span> </div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno"><a class="line" href="../../da/d86/a04769.html#ae94365560731d4b4fd1edd3b9116e102">  109</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../da/d86/a04769.html#ae94365560731d4b4fd1edd3b9116e102">NameOverride</a>(out <span class="keywordtype">string</span> output)</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>    {</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../da/d86/a04769.html#a78ca8e2e6c7ab4b044cfa631542699df">m_Expansion_NetsyncData</a> &amp;&amp; <a class="code hl_variable" href="../../da/d86/a04769.html#a78ca8e2e6c7ab4b044cfa631542699df">m_Expansion_NetsyncData</a>.<a class="code hl_function" href="../../d8/d39/a04449.html#ab986e69f4cceee5b8f77c4aa86b9d532">Get</a>(0, output))</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>            <span class="keywordflow">return</span> super.NameOverride(output);</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>    }</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span> </div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno"><a class="line" href="../../da/d86/a04769.html#aac1d205273823446f7f8deeeb8ec1951">  117</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/d86/a04769.html#aac1d205273823446f7f8deeeb8ec1951">OnRPC</a>(PlayerIdentity sender, <span class="keywordtype">int</span> rpc_type, ParamsReadContext ctx)</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>    {</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>        super.OnRPC(sender, rpc_type, ctx);</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span> </div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../da/d86/a04769.html#a78ca8e2e6c7ab4b044cfa631542699df">m_Expansion_NetsyncData</a>)</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>            <a class="code hl_variable" href="../../da/d86/a04769.html#a78ca8e2e6c7ab4b044cfa631542699df">m_Expansion_NetsyncData</a>.<a class="code hl_function" href="../../d8/d39/a04449.html#a9619a4af8fc8f1b4824235dfbb8a2ef7">OnRPC</a>(sender, rpc_type, ctx);</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>    }</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span> </div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno"><a class="line" href="../../da/d86/a04769.html#ac1be0c15833604896ededaefa752d2c9">  125</a></span>    vector <a class="code hl_function" href="../../da/d86/a04769.html#ac1be0c15833604896ededaefa752d2c9">Expansion_GetHeadingVector</a>()</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>    {</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>        <span class="keywordflow">return</span> Vector(-GetInputController().GetHeadingAngle() * Math.RAD2DEG, 0, 0).AnglesToVector();</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>    }</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span> </div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno"><a class="line" href="../../da/d86/a04769.html#a265f444fb6d8067c22577984839bf4a1">  130</a></span>    <span class="keywordtype">float</span> <a class="code hl_function" href="../../da/d86/a04769.html#a265f444fb6d8067c22577984839bf4a1">Expansion_GetMovementSpeed</a>()</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>    {</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>        HumanCommandMove hcm = GetCommand_Move();</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>        <span class="keywordflow">if</span> (hcm)</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>            <span class="keywordflow">return</span> hcm.GetCurrentMovementSpeed();</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span> </div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>        <span class="keywordflow">return</span> 0.0;</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>    }</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span> </div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno"><a class="line" href="../../da/d86/a04769.html#a487df428db4131695ee17f8b054a8c70">  139</a></span>    <span class="keywordtype">float</span> <a class="code hl_function" href="../../da/d86/a04769.html#a487df428db4131695ee17f8b054a8c70">Expansion_GetMovementAngle</a>()</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>    {</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>        HumanCommandMove hcm = GetCommand_Move();</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>        <span class="keywordflow">if</span> (hcm)</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>            <span class="keywordflow">return</span> hcm.GetCurrentMovementAngle();</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span> </div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>        <span class="keywordflow">return</span> 0.0;</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>    }</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>};</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span> </div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno"><a class="line" href="../../dd/d6d/a04777.html">  149</a></span>modded <span class="keyword">class </span><a class="code hl_class" href="../../dd/d6d/a04777.html">DayZPlayerCommandDeathCallback</a></div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>{</div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno"><a class="line" href="../../dd/d6d/a04777.html#a836659aeb10944553afceed58656e773">  151</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/d6d/a04777.html#a836659aeb10944553afceed58656e773">OnSimulationEnd</a>()</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>    {</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>        EntityAI itemInHands;</div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>        <span class="keywordflow">if</span> (GetGame().IsServer())</div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>            itemInHands = m_pPlayer.GetHumanInventory().GetEntityInHands();</div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span> </div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>        super.OnSimulationEnd();</div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span> </div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span>        <span class="keywordflow">if</span> (itemInHands &amp;&amp; !m_pPlayer.Expansion_CanBeLooted())</div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>        {</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>            itemInHands.SetTakeable(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>            itemInHands.SetLifetimeMax(120);  <span class="comment">//! Make sure it despawns quickly when left alone</span></div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span>        }</div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span>    }</div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span>};</div>
<div class="ttc" id="aa00710_html_a5be2213174cd68943ae1e0885eca5ec7"><div class="ttname"><a href="../../d4/deb/a00710.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a></div><div class="ttdeci">static CF_Trace CF_Trace_0(bool doLog, Class instance)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/deb/a00710_source.html#l00069">cf_trace.c:69</a></div></div>
<div class="ttc" id="aa00941_html_a91fff2923c73524aa9ddd1aa0e5c0337"><div class="ttname"><a href="../../d6/dad/a00941.html#a91fff2923c73524aa9ddd1aa0e5c0337">ExpansionZoneType</a></div><div class="ttdeci">ExpansionZoneType</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/dad/a00941_source.html#l00001">expansionzonetype.c:2</a></div></div>
<div class="ttc" id="aa04241_html"><div class="ttname"><a href="../../df/d88/a04241.html">ExpansionStatic</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d72/a00803_source.html#l00074">expansionstatic.c:75</a></div></div>
<div class="ttc" id="aa04241_html_af24dbf30715ebb3392e44656e9273364"><div class="ttname"><a href="../../df/d88/a04241.html#af24dbf30715ebb3392e44656e9273364">ExpansionStatic::LockInventoryRecursive</a></div><div class="ttdeci">static void LockInventoryRecursive(EntityAI entity, int lockType=HIDE_INV_FROM_SCRIPT)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d72/a00803_source.html#l01115">expansionstatic.c:1115</a></div></div>
<div class="ttc" id="aa04401_html"><div class="ttname"><a href="../../d6/d21/a04401.html">ExpansionZoneActor</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d92/a00929_source.html#l00016">expansionzoneactor.c:17</a></div></div>
<div class="ttc" id="aa04437_html"><div class="ttname"><a href="../../da/def/a04437.html">ExpansionHumanST</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/da3/a00953_source.html#l00013">expansionhumanst.c:14</a></div></div>
<div class="ttc" id="aa04449_html"><div class="ttname"><a href="../../d8/d39/a04449.html">ExpansionNetsyncData</a></div><div class="ttdef"><b>Definition:</b> <a href="../../df/d88/a00962_source.html#l00013">expansionnetsyncdata.c:14</a></div></div>
<div class="ttc" id="aa04449_html_a9619a4af8fc8f1b4824235dfbb8a2ef7"><div class="ttname"><a href="../../d8/d39/a04449.html#a9619a4af8fc8f1b4824235dfbb8a2ef7">ExpansionNetsyncData::OnRPC</a></div><div class="ttdeci">void OnRPC(PlayerIdentity sender, int rpc_type, ParamsReadContext ctx)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d88/a00962_source.html#l00094">expansionnetsyncdata.c:94</a></div></div>
<div class="ttc" id="aa04449_html_ab986e69f4cceee5b8f77c4aa86b9d532"><div class="ttname"><a href="../../d8/d39/a04449.html#ab986e69f4cceee5b8f77c4aa86b9d532">ExpansionNetsyncData::Get</a></div><div class="ttdeci">bool Get(int index, out string output)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d88/a00962_source.html#l00037">expansionnetsyncdata.c:37</a></div></div>
<div class="ttc" id="aa04769_html"><div class="ttname"><a href="../../da/d86/a04769.html">DayZPlayerImplement</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d5d/a01202_source.html#l00013">attachment_dayzplayerimplement.c:14</a></div></div>
<div class="ttc" id="aa04769_html_a0007a72062e681885c9eaa1da7fcdf5b"><div class="ttname"><a href="../../da/d86/a04769.html#a0007a72062e681885c9eaa1da7fcdf5b">DayZPlayerImplement::m_ExpansionST</a></div><div class="ttdeci">ref ExpansionHumanST m_ExpansionST</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d8e/a08928_source.html#l00015">dayzplayerimplement.c:15</a></div></div>
<div class="ttc" id="aa04769_html_a144e8859b0217b96ad5d3185f4233eb1"><div class="ttname"><a href="../../da/d86/a04769.html#a144e8859b0217b96ad5d3185f4233eb1">DayZPlayerImplement::EEKilled</a></div><div class="ttdeci">override void EEKilled(Object killer)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d8e/a08928_source.html#l00092">dayzplayerimplement.c:92</a></div></div>
<div class="ttc" id="aa04769_html_a265f444fb6d8067c22577984839bf4a1"><div class="ttname"><a href="../../da/d86/a04769.html#a265f444fb6d8067c22577984839bf4a1">DayZPlayerImplement::Expansion_GetMovementSpeed</a></div><div class="ttdeci">float Expansion_GetMovementSpeed()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d8e/a08928_source.html#l00130">dayzplayerimplement.c:130</a></div></div>
<div class="ttc" id="aa04769_html_a487df428db4131695ee17f8b054a8c70"><div class="ttname"><a href="../../da/d86/a04769.html#a487df428db4131695ee17f8b054a8c70">DayZPlayerImplement::Expansion_GetMovementAngle</a></div><div class="ttdeci">float Expansion_GetMovementAngle()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d8e/a08928_source.html#l00139">dayzplayerimplement.c:139</a></div></div>
<div class="ttc" id="aa04769_html_a491b4b8f864d141d6d2b4549c93b49c4"><div class="ttname"><a href="../../da/d86/a04769.html#a491b4b8f864d141d6d2b4549c93b49c4">DayZPlayerImplement::Expansion_SetCanBeLooted</a></div><div class="ttdeci">void Expansion_SetCanBeLooted(bool canBeLooted)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d8e/a08928_source.html#l00065">dayzplayerimplement.c:65</a></div></div>
<div class="ttc" id="aa04769_html_a4c4fc8f99dbfb6f88f735e09271033d7"><div class="ttname"><a href="../../da/d86/a04769.html#a4c4fc8f99dbfb6f88f735e09271033d7">DayZPlayerImplement::Expansion_Init</a></div><div class="ttdeci">void Expansion_Init()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d8e/a08928_source.html#l00032">dayzplayerimplement.c:32</a></div></div>
<div class="ttc" id="aa04769_html_a65bcdb243366dfb263362640089f36a7"><div class="ttname"><a href="../../da/d86/a04769.html#a65bcdb243366dfb263362640089f36a7">DayZPlayerImplement::m_Expansion_DisabledAmmoDamage</a></div><div class="ttdeci">ref map&lt; string, bool &gt; m_Expansion_DisabledAmmoDamage</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d8e/a08928_source.html#l00025">dayzplayerimplement.c:25</a></div></div>
<div class="ttc" id="aa04769_html_a68498ec3595c79b79f2dda7f1fe25cef"><div class="ttname"><a href="../../da/d86/a04769.html#a68498ec3595c79b79f2dda7f1fe25cef">DayZPlayerImplement::OnEnterZone</a></div><div class="ttdeci">void OnEnterZone(ExpansionZoneType type)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d8e/a08928_source.html#l00036">dayzplayerimplement.c:36</a></div></div>
<div class="ttc" id="aa04769_html_a78ca8e2e6c7ab4b044cfa631542699df"><div class="ttname"><a href="../../da/d86/a04769.html#a78ca8e2e6c7ab4b044cfa631542699df">DayZPlayerImplement::m_Expansion_NetsyncData</a></div><div class="ttdeci">ref ExpansionNetsyncData m_Expansion_NetsyncData</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d8e/a08928_source.html#l00023">dayzplayerimplement.c:23</a></div></div>
<div class="ttc" id="aa04769_html_a8898746079db0b09583cf31c68cb2def"><div class="ttname"><a href="../../da/d86/a04769.html#a8898746079db0b09583cf31c68cb2def">DayZPlayerImplement::m_Expansion_CanBeLooted</a></div><div class="ttdeci">protected bool m_Expansion_CanBeLooted</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d8e/a08928_source.html#l00017">dayzplayerimplement.c:17</a></div></div>
<div class="ttc" id="aa04769_html_a98f48bd5c9000d5eeab37283eefe72b5"><div class="ttname"><a href="../../da/d86/a04769.html#a98f48bd5c9000d5eeab37283eefe72b5">DayZPlayerImplement::IsInSafeZone</a></div><div class="ttdeci">bool IsInSafeZone()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d8e/a08928_source.html#l00060">dayzplayerimplement.c:60</a></div></div>
<div class="ttc" id="aa04769_html_a9c4c0fe27a2b9f6189dbbbe269029abf"><div class="ttname"><a href="../../da/d86/a04769.html#a9c4c0fe27a2b9f6189dbbbe269029abf">DayZPlayerImplement::Expansion_CanBeLooted</a></div><div class="ttdeci">bool Expansion_CanBeLooted()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d8e/a08928_source.html#l00070">dayzplayerimplement.c:70</a></div></div>
<div class="ttc" id="aa04769_html_aa2779a29b53f17a8f350328a7c8ebc82"><div class="ttname"><a href="../../da/d86/a04769.html#aa2779a29b53f17a8f350328a7c8ebc82">DayZPlayerImplement::Expansion_SetAllowDamage</a></div><div class="ttdeci">void Expansion_SetAllowDamage(string ammoType, bool state)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d8e/a08928_source.html#l00075">dayzplayerimplement.c:75</a></div></div>
<div class="ttc" id="aa04769_html_aac1d205273823446f7f8deeeb8ec1951"><div class="ttname"><a href="../../da/d86/a04769.html#aac1d205273823446f7f8deeeb8ec1951">DayZPlayerImplement::OnRPC</a></div><div class="ttdeci">override void OnRPC(PlayerIdentity sender, int rpc_type, ParamsReadContext ctx)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d8e/a08928_source.html#l00117">dayzplayerimplement.c:117</a></div></div>
<div class="ttc" id="aa04769_html_ac0b4c57a6169c000158432f4c0bc5ebc"><div class="ttname"><a href="../../da/d86/a04769.html#ac0b4c57a6169c000158432f4c0bc5ebc">DayZPlayerImplement::EEOnDamageCalculated</a></div><div class="ttdeci">override bool EEOnDamageCalculated(TotalDamageResult damageResult, int damageType, EntityAI source, int component, string dmgZone, string ammo, vector modelPos, float speedCoef)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d8e/a08928_source.html#l00081">dayzplayerimplement.c:81</a></div></div>
<div class="ttc" id="aa04769_html_ac1be0c15833604896ededaefa752d2c9"><div class="ttname"><a href="../../da/d86/a04769.html#ac1be0c15833604896ededaefa752d2c9">DayZPlayerImplement::Expansion_GetHeadingVector</a></div><div class="ttdeci">vector Expansion_GetHeadingVector()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d8e/a08928_source.html#l00125">dayzplayerimplement.c:125</a></div></div>
<div class="ttc" id="aa04769_html_ae367abba0545cf6baa6a24e555a64d26"><div class="ttname"><a href="../../da/d86/a04769.html#ae367abba0545cf6baa6a24e555a64d26">DayZPlayerImplement::OnExitZone</a></div><div class="ttdeci">void OnExitZone(ExpansionZoneType type)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d8e/a08928_source.html#l00048">dayzplayerimplement.c:48</a></div></div>
<div class="ttc" id="aa04769_html_ae5447f6521bc9e8ccf58a39c1c63d422"><div class="ttname"><a href="../../da/d86/a04769.html#ae5447f6521bc9e8ccf58a39c1c63d422">DayZPlayerImplement::CanBeSkinned</a></div><div class="ttdeci">override bool CanBeSkinned()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d8e/a08928_source.html#l00101">dayzplayerimplement.c:101</a></div></div>
<div class="ttc" id="aa04769_html_ae7bcbdb9c3dee70762b7329158a186c2"><div class="ttname"><a href="../../da/d86/a04769.html#ae7bcbdb9c3dee70762b7329158a186c2">DayZPlayerImplement::m_Expansion_IsInSafeZone</a></div><div class="ttdeci">protected bool m_Expansion_IsInSafeZone</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d8e/a08928_source.html#l00021">dayzplayerimplement.c:21</a></div></div>
<div class="ttc" id="aa04769_html_ae94365560731d4b4fd1edd3b9116e102"><div class="ttname"><a href="../../da/d86/a04769.html#ae94365560731d4b4fd1edd3b9116e102">DayZPlayerImplement::NameOverride</a></div><div class="ttdeci">override bool NameOverride(out string output)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d8e/a08928_source.html#l00109">dayzplayerimplement.c:109</a></div></div>
<div class="ttc" id="aa04769_html_aed8803fa15460c6d47fcca7a2ea7c23b"><div class="ttname"><a href="../../da/d86/a04769.html#aed8803fa15460c6d47fcca7a2ea7c23b">DayZPlayerImplement::m_Expansion_SafeZoneInstance</a></div><div class="ttdeci">protected autoptr ExpansionZoneActor m_Expansion_SafeZoneInstance</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d8e/a08928_source.html#l00019">dayzplayerimplement.c:19</a></div></div>
<div class="ttc" id="aa04769_html_afc3434515f637a75d3b28bca8c9f91f9"><div class="ttname"><a href="../../da/d86/a04769.html#afc3434515f637a75d3b28bca8c9f91f9">DayZPlayerImplement::DayZPlayerImplement</a></div><div class="ttdeci">void DayZPlayerImplement()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d8e/a08928_source.html#l00027">dayzplayerimplement.c:27</a></div></div>
<div class="ttc" id="aa04777_html"><div class="ttname"><a href="../../dd/d6d/a04777.html">DayZPlayerCommandDeathCallback</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d8e/a08928_source.html#l00149">dayzplayerimplement.c:150</a></div></div>
<div class="ttc" id="aa04777_html_a836659aeb10944553afceed58656e773"><div class="ttname"><a href="../../dd/d6d/a04777.html#a836659aeb10944553afceed58656e773">DayZPlayerCommandDeathCallback::OnSimulationEnd</a></div><div class="ttdeci">override void OnSimulationEnd()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d8e/a08928_source.html#l00151">dayzplayerimplement.c:151</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_fa1f4f079ed95106cba6603012ba90d8.html">Core</a></li><li class="navelem"><a class="el" href="../../dir_4763e2204ca4935d3e08fff4ec8c41d9.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_2f8e807662ba55784a08a7a744bca2da.html">4_world</a></li><li class="navelem"><a class="el" href="../../dir_941d75c2f3e001cbf2e710cd4f7d66b3.html">dayzexpansion_core</a></li><li class="navelem"><a class="el" href="../../dir_e2c1a5451a44a8d1eb29e97861f13030.html">entities</a></li><li class="navelem"><a class="el" href="../../dir_c83d8855c7cf96705596a074e886d801.html">manbase</a></li><li class="navelem"><a class="el" href="../../d1/d8e/a08928.html">dayzplayerimplement.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
